# Interface FunctionExternalTypeSpecific

Type of an external function pointer (full Solidity type)

#### Category

Function types

#### Hierarchy

- FunctionExternalTypeSpecific

- Defined in codec/lib/format/types.ts:314

#####
Index

### Properties

inputParameterTypes
kind
mutability
outputParameterTypes
typeClass
visibility

## Properties

### inputParameterTypes

inputParameterTypes: Type[]

- Defined in codec/lib/format/types.ts:319

### kind

kind: "specific"

- Defined in codec/lib/format/types.ts:317

### mutability

mutability: Mutability

- Defined in codec/lib/format/types.ts:318

### outputParameterTypes

outputParameterTypes: Type[]

- Defined in codec/lib/format/types.ts:320

### typeClass

typeClass: "function"

- Defined in codec/lib/format/types.ts:315

### visibility

visibility: "external"

- Defined in codec/lib/format/types.ts:316

Generated using TypeDoc